org.deidentifier.arx.gui.model

## Class ModelCriterion

- java.lang.Object
- - org.deidentifier.arx.gui.model.ModelCriterion

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  ModelExplicitCriterion, ModelImplicitCriterion

    public abstract class ModelCriterion
    extends java.lang.Object
    implements java.io.Serializable

A base class for models for criteria.

Author:
  Fabian Prasser
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ModelCriterion()`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`abstract ModelCriterion` `clone()` Clone
`abstract PrivacyCriterion` `getCriterion(Model model)` Implement this to return the criterion.
`abstract java.lang.String` `getLabel()` Implement this to return a string representation.
`boolean` `isEnabled()` Is this criterion active.
`abstract void` `parse(ModelCriterion other, boolean _default)` Parse
`void` `setEnabled(boolean enabled)` Sets the criterion active/inactive.
`abstract java.lang.String` `toString()` Implement this to return a string representation.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ModelCriterion

    public ModelCriterion()

### Method Detail

#### clone

    public abstract ModelCriterion clone()

Clone

Overrides:
  `clone` in class `java.lang.Object`

#### getCriterion

    public abstract PrivacyCriterion getCriterion(Model model)

Implement this to return the criterion.

Parameters:
  `model` -
Returns:

#### getLabel

    public abstract java.lang.String getLabel()

Implement this to return a string representation.

Returns:

#### isEnabled

    public boolean isEnabled()

Is this criterion active.

Returns:

#### parse

    public abstract void parse(ModelCriterion other,
                               boolean _default)

Parse

Parameters:
  `other` -
  `_default` - Defines whether the model represents a typical parameter configuration for the criterion

#### setEnabled

    public void setEnabled(boolean enabled)

Sets the criterion active/inactive.

Parameters:
  `active` -

#### toString

    public abstract java.lang.String toString()

Implement this to return a string representation.

Overrides:
  `toString` in class `java.lang.Object`
Returns: